- Qt 6.8
- Qt Quick
- QML Types
- DropArea
- Qt 6.8.3 Reference Documentation

# DropArea QML Type

For specifying drag and drop handling in an area. More...

Import Statement: | `import QtQuick`
Inherits: | Item

- List of all members, including inherited members

## Properties

- containsDrag : bool
- drag
  - drag.x : real
  - drag.y : real
- drag.source : QtObject
- keys : stringlist

## Signals

- dropped(DragEvent drop)
- entered(DragEvent drag)
- exited()
- positionChanged(DragEvent drag)

## Detailed Description

A DropArea is an invisible item which receives events when other items are dragged over it.

The Drag attached property can be used to notify the DropArea when an Item is dragged over it.

The keys property can be used to filter drag events which don't include a matching key.

The drag.source property is communicated to the source of a drag event as the recipient of a drop on the drag target.

See also Qt Quick Examples - Drag and Drop.

## Property Documentation

containsDrag : bool

This property identifies whether the DropArea currently contains any dragged items.

drag group
drag.x : real
drag.y : real

These properties hold the coordinates of the last drag event.

drag.source : QtObject

This property holds the source of a drag.

keys : stringlist

This property holds a list of drag keys a DropArea will accept.

If no keys are listed the DropArea will accept events from any drag source, otherwise the drag source must have at least one compatible key.

See also QtQuick::Drag::keys.

## Signal Documentation

dropped(DragEvent drop)

This signal is emitted when a drop event occurs within the bounds of a DropArea.

Note: The corresponding handler is `onDropped`.

entered(DragEvent drag)

This signal is emitted when a drag enters the bounds of a DropArea.

Note: The corresponding handler is `onEntered`.

exited()

This signal is emitted when a drag exits the bounds of a DropArea.

Note: The corresponding handler is `onExited`.

positionChanged(DragEvent drag)

This signal is emitted when the position of a drag has changed.

Note: The corresponding handler is `onPositionChanged`.